%define desktop_vendor berry

Summary:	Nintendo Super NES / Super Famicom Emulator
Name:		zsnes
Version:	1.51
Release:	b1
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Applications/Emulators
URL:		http://zsnes.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	nasm libpng-devel SDL-devel desktop-file-utils
BuildArchitectures: i586

%description
This is an emulator for Nintendo's 16 bit console, called Super Nintendo
Entertainment System or Super Famicom. It features a pretty accurate emulation
of that system's graphic and sound capabilities.
The GUI enables the user to select games, change options, enable cheat codes
and to save the game state, even network play is possible.

%prep
%setup -q -n %{name}-%{version}/src
#patch -p0 < ../1.42-configure.patch
#patch -p0 < ../zsnes-1.42-execStack.patch
#patch -p2 < ../zsnes-1.42-memfix.patch

%build
aclocal --acdir=`sdl-config --prefix`/share/aclocal
autoconf
%configure --x-includes=/usr/include/X11
%{__make}

%install
mkdir -p %buildroot%{_bindir}
strip zsnes
install -c -m 0755 zsnes %buildroot%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1/
install -c -m 0644 linux/zsnes.1 %{buildroot}%{_mandir}/man1

#Install application link for X-Windows
echo -e "[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application" > %{name}.desktop

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category X-Red-Hat-Extra                                  \
  --add-category Application                                      \
  --add-category Game                                             \
  --add-category ArcadeGame                                       \
  %{name}.desktop

install -d %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/48x48x32.png %{buildroot}%{_datadir}/pixmaps/zsnes.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop

%changelog
* Fri May 16 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.51
* Sun Sep 10 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added patchs
* Wed Oct 19 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from zsnes-1.42-1.rhfc4.nr.src.rpm
